Bug 106876 - toggle-case (~ aka tilde) doesn't work in bash's vi-mode
toggle-case (~ aka tilde) doesn't work in bash's vi-mode
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-12 17:19 EDT by C.Laurence Gonsalves
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-28 09:13:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description C.Laurence Gonsalves 2003-10-12 17:19:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030702
Galeon/1.3.9

Description of problem:
The ~ key should toggle the case of characters in vi-mode. In Redhat 9 it seems
to also inject a number of garbage characters into the command line as well.

Version-Release number of selected component (if applicable):
bash-2.05b-20.1

How reproducible:
Always


Steps to Reproduce:

1. add the following to .bash_profile

     unset INPUTRC

2. log in again

3. run bash

4. execute the command

   set -o vi

5. at the prompt, enter:

   abcde

6. hit ESC

7. hit LEFT twice

8. hit ~ (tilde)


Actual Results:

command line changes to:

  abC^RB^H^Q^H,de

if I hit 'v' at this point (to edit the command line in vi) I see:

  abCÿ^RB^H°^Q^H,de

(that's "abC", y with an umlaut, "^RB^H", degree symbol, "^Q^H,de", in case this
web form can't digest the above. ^X == control-X)

so it isn't just a display problem. bash has actually mangled
the command line.


Expected Results:

character under cursor should toggle case, so the command line
should change to:

  abCde


Additional info:

This problem didn't exist in RedHat 6.2 or 7.3 with either bash or bash2.
Comment 1 Tim Waugh 2003-10-28 09:13:38 EST
Should be fixed in bash-2.05b-31, shortly to appear in rawhide.
Comment 2 C.Laurence Gonsalves 2004-01-05 23:46:49 EST
Where can I get an RPM of the above?

Note You need to log in before you can comment on or make changes to this bug.